View Issue Details

IDProjectCategoryView StatusLast Update
16605Bug reportsSurvey editingpublic2020-12-22 16:14
ReporterDietrich Streifert Assigned Tocdorin  
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version4.3.11 
Fixed in Version4.4.0-RC1 
Summary16605: "Survey data policy error message" editor is missing in "Data policy settings" in v 4.3 but is present in v 3.23
DescriptionIn version 3.23.0 when navigating to the survey settings menu and there to the menu entry "Data policy settings" there are to HTML-editors available, one titled "Survey data policy message" and one titled "Survey data policy error message".

The second editor "Survey data policy error message" does not exist in 4.3.11.

So I'm not able to add that text. How is this supposed to work?
Steps To ReproduceNavigate to the "Survey Settings" menu and there to the menu entry "Data policy settings". There is only one HTML-editor available for "Survey data policy message". The second HTML-editor titled "Survey data policy error message" is missing.
TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 4.3.11+200817
I will donate to the project if issue is resolvedNo
Browserirrelevant
Database & DB-Versionirrelevant
Server OS (if known)irrelevant
Webserver software & version (if known)irrelevant
PHP Versionirrelevant

Activities

Dietrich Streifert

Dietrich Streifert

2020-08-19 12:43

reporter   ~59519

Additional note: the in v 3 former titled editor "Survey data policy error message" is now titled "Description".

user225042

2020-08-19 14:31

  ~59520

Please provide us with a screenshot of the error. Thank you.
Dietrich Streifert

Dietrich Streifert

2020-08-19 14:59

reporter   ~59523

Screenhot of the Data Policy settings in version 4
Dietrich Streifert

Dietrich Streifert

2020-08-19 15:03

reporter   ~59524

Screenhot of the Data Policy settings in version 3
Dietrich Streifert

Dietrich Streifert

2020-08-20 09:19

reporter   ~59542

@sushmanadendla: anything else needed?

user225042

2020-08-20 10:26

  ~59543

@Dietrich Streifert Thank you very much for the information provided, we will have a look and get back to you if needed
cdorin

cdorin

2020-12-22 16:14

manager   ~61041

Fixed in 4.4.0 RC1 (reverted the view)

Issue History

Date Modified Username Field Change
2020-08-19 12:17 Dietrich Streifert New Issue
2020-08-19 12:43 Dietrich Streifert Note Added: 59519
2020-08-19 14:31 user225042 Note Added: 59520
2020-08-19 14:59 Dietrich Streifert Note Added: 59523
2020-08-19 14:59 Dietrich Streifert File Added: screenshot-data-policy-editor-limesurvey-4.png
2020-08-19 15:03 Dietrich Streifert Note Added: 59524
2020-08-19 15:03 Dietrich Streifert File Added: screenshot-data-policy-editor-limesurvey-3.png
2020-08-20 09:19 Dietrich Streifert Note Added: 59542
2020-08-20 10:26 user225042 Note Added: 59543
2020-12-22 16:14 cdorin Note Added: 61041
2020-12-22 16:14 cdorin Assigned To => cdorin
2020-12-22 16:14 cdorin Status new => closed
2020-12-22 16:14 cdorin Resolution open => fixed
2020-12-22 16:14 cdorin Fixed in Version => 4.4.0-RC1